cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Bowser <bows...@gmail.com>
Subject Re: cordova platfor update DOA for cordova-android@4.1.0
Date Fri, 31 Jul 2015 03:40:33 GMT
Enhance update script and notify user.  We do not support API Level 10.

On Thu, Jul 30, 2015, 8:49 PM Carlos Santana <csantana23@gmail.com> wrote:

> Is still not clear to me what's the proper fix, to revert back both minsdk
> to level 10, or enhance update script to check if app minsdk have lower
> level than 14 making incompatible with new cordovalib and update it to 14
> for the user?
>
> On Thu, Jul 30, 2015 at 9:57 PM Murat Sutunc <muratsu@microsoft.com>
> wrote:
>
> > Good catch! +1 on 4.1.1
> >
> > > On Jul 30, 2015, at 6:41 PM, Steven Gill <stevengill97@gmail.com>
> wrote:
> > >
> > > +1. I can get a vote out for it tomorrow
> > >> On Jul 30, 2015 6:20 PM, "Carlos Santana" <csantana23@gmail.com>
> wrote:
> > >>
> > >> I think we need to fix and release a 4.1.1 this CB-9428 fixed before
> new
> > >> cordova-cli get's released.
> > >>
> > >> the update logic lives in the platform update script, not the cordova
> > cli
> > >>
> > >> https://issues.apache.org/jira/browse/CB-9428
> > >>
> > >> basically doing an upgrade today like "cordova platform update
> > >> android@4.1.0"
> > >> is DOA when trying to build because the minSDK for CordovaLib get's
> > updated
> > >> to 14, but the minSDK for the App remains untouched to 10
> > >>
> > >> if a new cordova-cli get's released with android 4.1.0 pinned, then
> the
> > >> default platform update "cordova platform update"  problem will be
> more
> > >> prevalent and spread
> > >>
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: dev-unsubscribe@cordova.apache.org
> > For additional commands, e-mail: dev-help@cordova.apache.org
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message